function J = decade_jitter(t)
    arguments
        t (:,2) double
    end
    
    f = t(:,1);
    n = db2pow(t(:,2));

    dec = [];
    f_start_exp = floor(log10(f(1)));
    while f_start_exp <= log10(f(end-1))
        f_mask = (f >= 10^f_start_exp) & (f < 10^(f_start_exp+1));
        try
            dec = [dec, sqrt(trapz(f(f_mask), n(f_mask)))]; %#ok<AGROW> 
        end
        f_start_exp = f_start_exp + 1;
    end; clear f_start_exp f_mask;
    
    J = dec;
end

